# BEGIN SourceDeps(oneline):
BuildRequires: libncurses-devel perl(Socket.pm)
# END SourceDeps(oneline)
%define _hardened_build 1
%global clientversion 3.0.6.2
Name: argus
Version: 3.0.6.1
Release: alt1_1
Summary: Network transaction audit tool
License: GPLv2+
Group: Networking/WWW
Url: http://qosient.com/argus
Source0: http://qosient.com/argus/src/%{name}-%{version}.tar.gz
Source1: http://qosient.com/argus/src/%{name}-clients-%{clientversion}.tar.gz
Source2: argus.service
Source3: README.fedora
#Patch0: argus-2.0.6.fixes.1-makefile.patch
#Patch1: argus-2.0.6.fixes.1-build.patch
# bpf_dump conflicts with a function with slightly different prototype (added
# const) in libpcap 1.0
#Patch2: argus-2.0.6.fixes.1-libpcap10.patch
#Patch3: argus-clients-2.0.6.fixes.1-makefile.patch
#Patch4: argus-clients-2.0.6.fixes.1-build.patch
#Patch5: argus-clients-2.0.6.fixes.1-print.patch
BuildRequires: libsasl2-devel tcp_wrappers flex bison ncurses-devel
BuildRequires: libpcap-devel zlib-devel
Source44: import.info

%package clients
Summary: Client tools for argus network audit
Group: Networking/WWW

%description
Argus (Audit Record Generation and Utilization System) is an IP network
transaction audit tool. The data generated by argus can be used for a
wide range of tasks such as network operations, security and performance
management.

%description clients
Clients to the argus probe which process and display information.

%package devel
Summary: Header files for argus network audit
Group: Networking/WWW

%description devel
Header files for argus.


%prep
%setup -a0 -q
%setup -a1 -q
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#pushd %{name}-clients-%{version}.1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
#popd
%{__install} -p -m 0644 %{SOURCE3} .

%build
%configure --with-sasl=yes --prefix=%{_prefix}
%{__make} %{?_smp_mflags}
pushd %{name}-clients-%{clientversion}
%configure --with-sasl=yes --prefix=%{_prefix}
%{__make} %{?_smp_mflags}
popd

%install
%{__make} DESTDIR=%{buildroot} install
pushd %{name}-clients-%{clientversion}
%{__make} DESTDIR=%{buildroot} install
# avoid unwanted dependencies when using these as docs (clients package):
find support -type f -exec chmod a-x '{}' \;
popd
%{__rm} -rf %{buildroot}/%{_libdir}
%{__rm} -rf %{buildroot}/%{_bindir}/ragraph
%{__install} -d -m 0755 %{buildroot}/%{_var}/lib/argus/archive
%{__install} -D -m 0644 support/Config/argus.conf %{buildroot}/%{_sysconfdir}/argus.conf
%{__install} -D -m 0755 %{SOURCE2} %{buildroot}/%{_unitdir}/argus.service
# fix up argus.conf to a good default
%{__sed} -i 's|var/log/argus|var/lib/argus|' %{buildroot}/%{_sysconfdir}/argus.conf
%{__sed} -i 's|#ARGUS_BIND_IP|ARGUS_BIND_IP|' %{buildroot}/%{_sysconfdir}/argus.conf
%{__sed} -i 's|#ARGUS_ACCESS_PORT|ARGUS_ACCESS_PORT|' %{buildroot}/%{_sysconfdir}/argus.conf
# avoid unwanted dependencies when using these as docs (main package):
find support -type f -exec chmod a-x '{}' \;

rm -rf %{buildroot}/usr/share/doc/argus-clients-3.0/
mv %{buildroot}/usr/argus %{buildroot}%{_datadir}/argus

%files
%doc support bin/argusbug
%doc COPYING CREDITS INSTALL README VERSION
%config(noreplace) %{_sysconfdir}/argus.conf
%{_unitdir}/argus.service
%{_bindir}/argus*
%{_sbindir}/argus
%{_mandir}/man5/argus*
%{_mandir}/man8/argus*
%dir %{_var}/lib/argus
%dir %{_var}/lib/argus/archive

%files clients
%doc %{name}-clients-%{clientversion}/ChangeLog %{name}-clients-%{clientversion}/COPYING
%doc %{name}-clients-%{clientversion}/CREDITS %{name}-clients-%{clientversion}/INSTALL
%doc %{name}-clients-%{clientversion}/README %{name}-clients-%{clientversion}/VERSION
#%doc %{name}-clients-%{clientversion}/doc/CHANGES %{name}-clients-%{clientversion}/doc/FAQ
#%doc %{name}-clients-%{clientversion}/doc/HOW-TO %{name}-clients-%{clientversion}/doc/pdf
#%doc %{name}-clients-%{clientversion}/doc/README
%doc %{name}-clients-%{clientversion}/support
#%doc %{name}-clients-%{clientversion}/ragraph/ragraph.pl
# .pm checked for dependencies regardless of permissions
#%doc %{name}-clients-%{version}/contrib
%doc README.fedora
%{_bindir}/ra*
%{_sbindir}/ra*
%{_mandir}/man1/ra*
%{_mandir}/man5/ra*
%{_mandir}/man8/ra*
%{_datadir}/argus/

%files devel
%{_includedir}/argus/

%changelog
* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 3.0.6.1-alt1_1
- initial fc import

